package com.meas.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.meas.common.annotation.Excel;
import com.meas.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 测量环境数据对象 meas_env_data
 *
 * @author wgk
 * @date 2024-06-13
 */
public class MeasEnvData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long id;

    /**
     * 测量批次id
     */
    @Excel(name = "测量批次id")
    private Long measurementBatchId;

//  测量批次号
    private String measurementBatch;
//  发动机号
    private String model;
    /**
     * 几何模型文件
     */
    private String geometryFiles;

    /**
     * 几何模型图片
     */
    private String geometryImage;


    /**
     * 发动机状态
     */
    @Excel(name = "发动机状态")
    private String engineStatus;

    /**
     * 角度
     */
    @Excel(name = "角度")
    private String angle;

    /**
     * 涡轮后温度
     */
    @Excel(name = "涡轮后温度")
    private String turbinePostTemp;

    /**
     * 测试距离
     */
    @Excel(name = "测试距离")
    private BigDecimal testDistance;

    /**
     * 时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;

    /**
     * 地点
     */
    @Excel(name = "地点")
    private String location;

    /**
     * 大气压
     */
    @Excel(name = "大气压")
    private BigDecimal atmosPress;

    /**
     * 温度
     */
    @Excel(name = "温度")
    private BigDecimal temperature;

    /**
     * 风速
     */
    @Excel(name = "风速")
    private BigDecimal windSpeed;

    /**
     * 湿度
     */
    @Excel(name = "湿度")
    private BigDecimal humidity;

    /**
     * 浓度
     */
    @Excel(name = "浓度")
    private BigDecimal concentration;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMeasurementBatchId() {
        return measurementBatchId;
    }

    public void setMeasurementBatchId(Long measurementBatchId) {
        this.measurementBatchId = measurementBatchId;
    }

    public String getEngineStatus() {
        return engineStatus;
    }

    public void setEngineStatus(String engineStatus) {
        this.engineStatus = engineStatus;
    }

    public String getAngle() {
        return angle;
    }

    public void setAngle(String angle) {
        this.angle = angle;
    }

    public String getTurbinePostTemp() {
        return turbinePostTemp;
    }

    public void setTurbinePostTemp(String turbinePostTemp) {
        this.turbinePostTemp = turbinePostTemp;
    }

    public BigDecimal getTestDistance() {
        return testDistance;
    }

    public void setTestDistance(BigDecimal testDistance) {
        this.testDistance = testDistance;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public BigDecimal getAtmosPress() {
        return atmosPress;
    }

    public void setAtmosPress(BigDecimal atmosPress) {
        this.atmosPress = atmosPress;
    }

    public BigDecimal getTemperature() {
        return temperature;
    }

    public void setTemperature(BigDecimal temperature) {
        this.temperature = temperature;
    }

    public BigDecimal getWindSpeed() {
        return windSpeed;
    }

    public void setWindSpeed(BigDecimal windSpeed) {
        this.windSpeed = windSpeed;
    }

    public BigDecimal getHumidity() {
        return humidity;
    }

    public void setHumidity(BigDecimal humidity) {
        this.humidity = humidity;
    }

    public BigDecimal getConcentration() {
        return concentration;
    }

    public void setConcentration(BigDecimal concentration) {
        this.concentration = concentration;
    }

    public String getMeasurementBatch() {
        return measurementBatch;
    }

    public void setMeasurementBatch(String measurementBatch) {
        this.measurementBatch = measurementBatch;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getGeometryFiles() {
        return geometryFiles;
    }

    public void setGeometryFiles(String geometryFiles) {
        this.geometryFiles = geometryFiles;
    }

    public String getGeometryImage() {
        return geometryImage;
    }

    public void setGeometryImage(String geometryImage) {
        this.geometryImage = geometryImage;
    }

    @Override
    public String toString() {
        return "MeasEnvData{" +
                "id=" + id +
                ", measurementBatchId=" + measurementBatchId +
                ", measurementBatch='" + measurementBatch + '\'' +
                ", model='" + model + '\'' +
                ", geometryFiles='" + geometryFiles + '\'' +
                ", geometryImage='" + geometryImage + '\'' +
                ", engineStatus='" + engineStatus + '\'' +
                ", angle='" + angle + '\'' +
                ", turbinePostTemp='" + turbinePostTemp + '\'' +
                ", testDistance=" + testDistance +
                ", time=" + time +
                ", location='" + location + '\'' +
                ", atmosPress=" + atmosPress +
                ", temperature=" + temperature +
                ", windSpeed=" + windSpeed +
                ", humidity=" + humidity +
                ", concentration=" + concentration +
                '}';
    }
}
